package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class DetailDraftPeraturanVO extends BaseMasterVO {

	@ManyToOne
	@JoinColumn(name = "ObjectDraftPeraturanFk")
	@NotNull(message="Draft Peraturan tidak boleh kosong")
	@Caption(value="Draft Peraturan")
	private DraftPeraturanVO draftPeraturan;
	
	@Column(name = "ObjectDraftPeraturanFk", insertable=false,updatable=false,nullable=false)
	private Integer draftPeraturanId;
	
	@ManyToOne
	@JoinColumn(name = "ObjectTujuanDraftFk")
	@NotNull(message="Tujuan Draft tidak boleh kosong")
	@Caption(value="Tujuan Draft")
	private JabatanVO tujuanDraft;
	
	@Column(name = "ObjectTujuanDraftFk", insertable=false,updatable=false,nullable=false)
	private Integer tujuanId;

	@Column(name="koreksi",nullable=true)
	@Caption(value="Koreksi")
	private String koreksi;
	
	@Column(name="statusDraft",nullable=true)
	@Caption(value="Status Draft")
	private String statusDraft;

	public DraftPeraturanVO getDraftPeraturan() {
		return draftPeraturan;
	}

	public void setDraftPeraturan(DraftPeraturanVO draftPeraturan) {
		this.draftPeraturan = draftPeraturan;
	}

	public Integer getDraftPeraturanId() {
		return draftPeraturanId;
	}

	public void setDraftPeraturanId(Integer draftPeraturanId) {
		this.draftPeraturanId = draftPeraturanId;
	}
	
	public JabatanVO getTujuanDraft() {
		return tujuanDraft;
	}

	public void setTujuanDraft(JabatanVO tujuanDraft) {
		this.tujuanDraft = tujuanDraft;
	}

	public Integer getTujuanId() {
		return tujuanId;
	}

	public void setTujuanId(Integer tujuanId) {
		this.tujuanId = tujuanId;
	}

	public String getKoreksi() {
		return koreksi;
	}

	public void setKoreksi(String koreksi) {
		this.koreksi = koreksi;
	}

	public String getStatusDraft() {
		return statusDraft;
	}

	public void setStatusDraft(String statusDraft) {
		this.statusDraft = statusDraft;
	}
}
